Bug 169523

Summary: Sync web-platform-tests up to revision a5b95cb31914507088a4eda16f7674bbc6f3313f
Product: WebKit Reporter: youenn fablet <youennf>
Component: Tools / TestsAssignee: youenn fablet <youennf>
Status: RESOLVED FIXED    
Severity: Normal CC: achristensen, buildbot, cdumez, commit-queue, lforschler, rniwa
Priority: P2    
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch
none
Patch
none
Patch
buildbot: commit-queue-
Archive of layout-test-results from ews101 for mac-elcapitan
none
Archive of layout-test-results from ews117 for mac-elcapitan
none
Archive of layout-test-results from ews123 for ios-simulator-wk2
none
Archive of layout-test-results from ews104 for mac-elcapitan-wk2
none
Patch
buildbot: commit-queue-
Archive of layout-test-results from ews100 for mac-elcapitan
none
Patch
buildbot: commit-queue-
Archive of layout-test-results from ews105 for mac-elcapitan-wk2
none
Archive of layout-test-results from ews101 for mac-elcapitan
none
Archive of layout-test-results from ews117 for mac-elcapitan
none
Archive of layout-test-results from ews123 for ios-simulator-wk2
none
Patch
buildbot: commit-queue-
Archive of layout-test-results from ews105 for mac-elcapitan-wk2
none
Archive of layout-test-results from ews115 for mac-elcapitan
none
Archive of layout-test-results from ews121 for ios-simulator-wk2
none
Patch
achristensen: review+, buildbot: commit-queue-
Archive of layout-test-results from ews106 for mac-elcapitan-wk2
none
Archive of layout-test-results from ews101 for mac-elcapitan
none
Archive of layout-test-results from ews116 for mac-elcapitan
none
Patch for landing none

Description youenn fablet 2017-03-11 23:09:08 PST
Sync web-platform-tests up to revision a5b95cb31914507088a4eda16f7674bbc6f3313f
Comment 1 youenn fablet 2017-03-11 23:17:01 PST
Created attachment 304190 [details]
Patch
Comment 2 youenn fablet 2017-03-11 23:29:22 PST
Created attachment 304191 [details]
Patch
Comment 3 youenn fablet 2017-03-12 09:45:48 PDT
Created attachment 304192 [details]
Patch
Comment 4 youenn fablet 2017-03-12 10:04:20 PDT
Created attachment 304195 [details]
Patch
Comment 5 Build Bot 2017-03-12 11:17:30 PDT
Comment on attachment 304195 [details]
Patch

Attachment 304195 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/3300901

New failing tests:
imported/w3c/web-platform-tests/WebCryptoAPI/import_export/symmetric_importKey.worker.html
imported/w3c/web-platform-tests/XMLHttpRequest/setrequestheader-allow-empty-value.htm
imported/w3c/web-platform-tests/fetch/api/request/request-cache-reload.html
imported/w3c/web-platform-tests/XMLHttpRequest/open-referer.htm
imported/w3c/web-platform-tests/XMLHttpRequest/setrequestheader-header-allowed.htm
imported/w3c/web-platform-tests/XMLHttpRequest/setrequestheader-header-forbidden.htm
imported/w3c/web-platform-tests/WebCryptoAPI/derive_bits_keys/test_pbkdf2.html
imported/w3c/web-platform-tests/XMLHttpRequest/setrequestheader-allow-whitespace-in-value.htm
imported/w3c/web-platform-tests/html/webappapis/system-state-and-capabilities/the-navigator-object/NavigatorID.html
imported/w3c/web-platform-tests/html/dom/interfaces.worker.html
imported/w3c/web-platform-tests/XMLHttpRequest/setrequestheader-open-setrequestheader.htm
imported/w3c/web-platform-tests/html/webappapis/system-state-and-capabilities/the-navigator-object/NavigatorID.worker.html
imported/w3c/web-platform-tests/XMLHttpRequest/setrequestheader-case-insensitive.htm
imported/w3c/web-platform-tests/WebCryptoAPI/derive_bits_keys/pbkdf2.worker.html
imported/w3c/web-platform-tests/XMLHttpRequest/send-network-error-sync-events.sub.htm
imported/w3c/web-platform-tests/XMLHttpRequest/open-after-setrequestheader.htm
imported/w3c/web-platform-tests/WebCryptoAPI/import_export/test_symmetric_importKey.html
imported/w3c/web-platform-tests/fetch/api/request/request-cache-only-if-cached.html
imported/w3c/web-platform-tests/XMLHttpRequest/setrequestheader-content-type.htm
imported/w3c/web-platform-tests/XMLHttpRequest/anonymous-mode-unsupported.htm
imported/w3c/web-platform-tests/XMLHttpRequest/open-url-redirected-worker-origin.htm
imported/w3c/web-platform-tests/fetch/api/headers/headers-combine.html
imported/w3c/web-platform-tests/XMLHttpRequest/send-accept-language.htm
Comment 6 Build Bot 2017-03-12 11:17:34 PDT
Created attachment 304199 [details]
Archive of layout-test-results from ews101 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 7 Build Bot 2017-03-12 11:29:13 PDT
Comment on attachment 304195 [details]
Patch

Attachment 304195 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/3300923

New failing tests:
imported/w3c/web-platform-tests/WebCryptoAPI/import_export/symmetric_importKey.worker.html
imported/w3c/web-platform-tests/XMLHttpRequest/setrequestheader-allow-empty-value.htm
imported/w3c/web-platform-tests/fetch/api/request/request-cache-reload.html
imported/w3c/web-platform-tests/XMLHttpRequest/open-referer.htm
imported/w3c/web-platform-tests/XMLHttpRequest/setrequestheader-header-allowed.htm
imported/w3c/web-platform-tests/XMLHttpRequest/setrequestheader-header-forbidden.htm
imported/w3c/web-platform-tests/WebCryptoAPI/derive_bits_keys/test_pbkdf2.html
imported/w3c/web-platform-tests/XMLHttpRequest/setrequestheader-allow-whitespace-in-value.htm
imported/w3c/web-platform-tests/html/webappapis/system-state-and-capabilities/the-navigator-object/NavigatorID.html
imported/w3c/web-platform-tests/XMLHttpRequest/setrequestheader-open-setrequestheader.htm
imported/w3c/web-platform-tests/html/webappapis/system-state-and-capabilities/the-navigator-object/NavigatorID.worker.html
imported/w3c/web-platform-tests/XMLHttpRequest/setrequestheader-case-insensitive.htm
imported/w3c/web-platform-tests/WebCryptoAPI/derive_bits_keys/pbkdf2.worker.html
imported/w3c/web-platform-tests/XMLHttpRequest/send-network-error-sync-events.sub.htm
imported/w3c/web-platform-tests/XMLHttpRequest/open-after-setrequestheader.htm
imported/w3c/web-platform-tests/WebCryptoAPI/import_export/test_symmetric_importKey.html
imported/w3c/web-platform-tests/fetch/api/request/request-cache-only-if-cached.html
imported/w3c/web-platform-tests/XMLHttpRequest/setrequestheader-content-type.htm
imported/w3c/web-platform-tests/XMLHttpRequest/anonymous-mode-unsupported.htm
imported/w3c/web-platform-tests/XMLHttpRequest/open-url-redirected-worker-origin.htm
imported/w3c/web-platform-tests/fetch/api/headers/headers-combine.html
imported/w3c/web-platform-tests/XMLHttpRequest/send-accept-language.htm
Comment 8 Build Bot 2017-03-12 11:29:15 PDT
Created attachment 304200 [details]
Archive of layout-test-results from ews117 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews117  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 9 Build Bot 2017-03-12 11:34:20 PDT
Comment on attachment 304195 [details]
Patch

Attachment 304195 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/3300924

New failing tests:
imported/w3c/web-platform-tests/WebCryptoAPI/import_export/symmetric_importKey.worker.html
imported/w3c/web-platform-tests/XMLHttpRequest/setrequestheader-allow-empty-value.htm
imported/w3c/web-platform-tests/XMLHttpRequest/open-referer.htm
imported/w3c/web-platform-tests/XMLHttpRequest/setrequestheader-header-allowed.htm
imported/w3c/web-platform-tests/XMLHttpRequest/setrequestheader-header-forbidden.htm
imported/w3c/web-platform-tests/WebCryptoAPI/derive_bits_keys/test_pbkdf2.html
imported/w3c/web-platform-tests/html/semantics/forms/textfieldselection/selection-not-application.html
imported/w3c/web-platform-tests/XMLHttpRequest/setrequestheader-allow-whitespace-in-value.htm
imported/w3c/web-platform-tests/XMLHttpRequest/open-url-redirected-worker-origin.htm
imported/w3c/web-platform-tests/html/dom/interfaces.worker.html
imported/w3c/web-platform-tests/XMLHttpRequest/setrequestheader-open-setrequestheader.htm
imported/w3c/web-platform-tests/html/webappapis/system-state-and-capabilities/the-navigator-object/NavigatorID.worker.html
imported/w3c/web-platform-tests/XMLHttpRequest/setrequestheader-case-insensitive.htm
imported/w3c/web-platform-tests/WebCryptoAPI/derive_bits_keys/pbkdf2.worker.html
imported/w3c/web-platform-tests/XMLHttpRequest/open-after-setrequestheader.htm
imported/w3c/web-platform-tests/WebCryptoAPI/import_export/test_symmetric_importKey.html
imported/w3c/web-platform-tests/html/semantics/forms/the-input-element/valueMode.html
imported/w3c/web-platform-tests/XMLHttpRequest/setrequestheader-content-type.htm
imported/w3c/web-platform-tests/html/webappapis/system-state-and-capabilities/the-navigator-object/NavigatorID.html
imported/w3c/web-platform-tests/XMLHttpRequest/anonymous-mode-unsupported.htm
imported/w3c/web-platform-tests/fetch/api/headers/headers-combine.html
imported/w3c/web-platform-tests/XMLHttpRequest/send-accept-language.htm
Comment 10 Build Bot 2017-03-12 11:34:23 PDT
Created attachment 304201 [details]
Archive of layout-test-results from ews123 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews123  Port: ios-simulator-wk2  Platform: Mac OS X 10.11.6
Comment 11 Build Bot 2017-03-12 11:46:39 PDT
Comment on attachment 304195 [details]
Patch

Attachment 304195 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/3301026

New failing tests:
imported/w3c/web-platform-tests/WebCryptoAPI/import_export/symmetric_importKey.worker.html
imported/w3c/web-platform-tests/XMLHttpRequest/send-accept-language.htm
imported/w3c/web-platform-tests/XMLHttpRequest/open-referer.htm
imported/w3c/web-platform-tests/XMLHttpRequest/setrequestheader-allow-empty-value.htm
imported/w3c/web-platform-tests/XMLHttpRequest/anonymous-mode-unsupported.htm
imported/w3c/web-platform-tests/XMLHttpRequest/setrequestheader-case-insensitive.htm
imported/w3c/web-platform-tests/XMLHttpRequest/open-url-redirected-worker-origin.htm
imported/w3c/web-platform-tests/WebCryptoAPI/import_export/test_symmetric_importKey.html
imported/w3c/web-platform-tests/html/dom/interfaces.worker.html
imported/w3c/web-platform-tests/fetch/api/headers/headers-combine.html
imported/w3c/web-platform-tests/XMLHttpRequest/setrequestheader-allow-whitespace-in-value.htm
imported/w3c/web-platform-tests/html/webappapis/system-state-and-capabilities/the-navigator-object/NavigatorID.worker.html
imported/w3c/web-platform-tests/XMLHttpRequest/setrequestheader-header-forbidden.htm
imported/w3c/web-platform-tests/WebCryptoAPI/derive_bits_keys/test_pbkdf2.html
imported/w3c/web-platform-tests/XMLHttpRequest/setrequestheader-content-type.htm
imported/w3c/web-platform-tests/XMLHttpRequest/setrequestheader-header-allowed.htm
imported/w3c/web-platform-tests/XMLHttpRequest/open-after-setrequestheader.htm
imported/w3c/web-platform-tests/XMLHttpRequest/setrequestheader-open-setrequestheader.htm
imported/w3c/web-platform-tests/WebCryptoAPI/derive_bits_keys/pbkdf2.worker.html
imported/w3c/web-platform-tests/html/webappapis/system-state-and-capabilities/the-navigator-object/NavigatorID.html
Comment 12 Build Bot 2017-03-12 11:46:42 PDT
Created attachment 304202 [details]
Archive of layout-test-results from ews104 for mac-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 13 youenn fablet 2017-03-12 21:11:02 PDT
Created attachment 304221 [details]
Patch
Comment 14 Build Bot 2017-03-12 22:05:35 PDT
Comment on attachment 304221 [details]
Patch

Attachment 304221 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/3304508

New failing tests:
imported/w3c/web-platform-tests/fetch/api/request/request-cache-reload.html
imported/w3c/web-platform-tests/fetch/api/request/request-cache-only-if-cached.html
imported/w3c/web-platform-tests/XMLHttpRequest/send-network-error-sync-events.sub.htm
Comment 15 Build Bot 2017-03-12 22:05:37 PDT
Created attachment 304224 [details]
Archive of layout-test-results from ews100 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 16 youenn fablet 2017-03-12 22:24:34 PDT
Created attachment 304225 [details]
Patch
Comment 17 Build Bot 2017-03-12 23:14:58 PDT
Comment on attachment 304225 [details]
Patch

Attachment 304225 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/3304923

New failing tests:
imported/w3c/web-platform-tests/fetch/api/request/request-cache-reload.html
imported/w3c/web-platform-tests/XMLHttpRequest/send-network-error-sync-events.sub.htm
Comment 18 Build Bot 2017-03-12 23:15:01 PDT
Created attachment 304229 [details]
Archive of layout-test-results from ews105 for mac-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews105  Port: mac-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 19 Build Bot 2017-03-12 23:32:56 PDT
Comment on attachment 304225 [details]
Patch

Attachment 304225 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/3305022

New failing tests:
imported/w3c/web-platform-tests/fetch/api/request/request-cache-reload.html
imported/w3c/web-platform-tests/fetch/api/request/request-cache-only-if-cached.html
imported/w3c/web-platform-tests/XMLHttpRequest/send-network-error-sync-events.sub.htm
Comment 20 Build Bot 2017-03-12 23:32:59 PDT
Created attachment 304230 [details]
Archive of layout-test-results from ews101 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 21 Build Bot 2017-03-12 23:42:29 PDT
Comment on attachment 304225 [details]
Patch

Attachment 304225 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/3305030

New failing tests:
imported/w3c/web-platform-tests/fetch/api/request/request-cache-reload.html
imported/w3c/web-platform-tests/html/dom/interfaces.worker.html
imported/w3c/web-platform-tests/fetch/api/request/request-cache-only-if-cached.html
imported/w3c/web-platform-tests/XMLHttpRequest/send-network-error-sync-events.sub.htm
Comment 22 Build Bot 2017-03-12 23:42:32 PDT
Created attachment 304231 [details]
Archive of layout-test-results from ews117 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews117  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 23 Build Bot 2017-03-12 23:50:50 PDT
Comment on attachment 304225 [details]
Patch

Attachment 304225 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/3305060

New failing tests:
imported/w3c/web-platform-tests/html/webappapis/system-state-and-capabilities/the-navigator-object/NavigatorID.worker.html
imported/w3c/web-platform-tests/IndexedDB/fire-error-event-exception.html
imported/w3c/web-platform-tests/XMLHttpRequest/send-network-error-sync-events.sub.htm
Comment 24 Build Bot 2017-03-12 23:50:54 PDT
Created attachment 304232 [details]
Archive of layout-test-results from ews123 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews123  Port: ios-simulator-wk2  Platform: Mac OS X 10.11.6
Comment 25 youenn fablet 2017-03-13 09:01:05 PDT
Created attachment 304260 [details]
Patch
Comment 26 Build Bot 2017-03-13 10:08:12 PDT
Comment on attachment 304260 [details]
Patch

Attachment 304260 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/3308356

New failing tests:
imported/w3c/web-platform-tests/fetch/api/request/request-cache-reload.html
imported/w3c/web-platform-tests/XMLHttpRequest/send-network-error-sync-events.sub.htm
Comment 27 Build Bot 2017-03-13 10:08:16 PDT
Created attachment 304265 [details]
Archive of layout-test-results from ews105 for mac-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews105  Port: mac-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 28 Build Bot 2017-03-13 10:20:12 PDT
Comment on attachment 304260 [details]
Patch

Attachment 304260 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/3308384

New failing tests:
imported/w3c/web-platform-tests/html/dom/interfaces.worker.html
Comment 29 Build Bot 2017-03-13 10:20:16 PDT
Created attachment 304267 [details]
Archive of layout-test-results from ews115 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews115  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 30 Build Bot 2017-03-13 10:28:21 PDT
Comment on attachment 304260 [details]
Patch

Attachment 304260 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/3308409

New failing tests:
imported/w3c/web-platform-tests/html/webappapis/system-state-and-capabilities/the-navigator-object/NavigatorID.worker.html
imported/w3c/web-platform-tests/IndexedDB/fire-error-event-exception.html
Comment 31 Build Bot 2017-03-13 10:28:24 PDT
Created attachment 304273 [details]
Archive of layout-test-results from ews121 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews121  Port: ios-simulator-wk2  Platform: Mac OS X 10.11.6
Comment 32 youenn fablet 2017-03-13 10:42:35 PDT
Created attachment 304274 [details]
Patch
Comment 33 Build Bot 2017-03-13 11:31:52 PDT
Comment on attachment 304274 [details]
Patch

Attachment 304274 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/3308955

New failing tests:
imported/w3c/web-platform-tests/html/webappapis/system-state-and-capabilities/the-navigator-object/NavigatorID.worker.html
Comment 34 Build Bot 2017-03-13 11:31:57 PDT
Created attachment 304277 [details]
Archive of layout-test-results from ews106 for mac-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 35 Build Bot 2017-03-13 11:46:41 PDT
Comment on attachment 304274 [details]
Patch

Attachment 304274 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/3309027

New failing tests:
imported/w3c/web-platform-tests/html/webappapis/system-state-and-capabilities/the-navigator-object/NavigatorID.worker.html
Comment 36 Build Bot 2017-03-13 11:46:47 PDT
Created attachment 304278 [details]
Archive of layout-test-results from ews101 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 37 Build Bot 2017-03-13 11:59:20 PDT
Comment on attachment 304274 [details]
Patch

Attachment 304274 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/3309015

New failing tests:
imported/w3c/web-platform-tests/html/webappapis/system-state-and-capabilities/the-navigator-object/NavigatorID.worker.html
Comment 38 Build Bot 2017-03-13 11:59:26 PDT
Created attachment 304281 [details]
Archive of layout-test-results from ews116 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews116  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 39 youenn fablet 2017-03-13 12:04:55 PDT
Created attachment 304284 [details]
Patch for landing
Comment 40 WebKit Commit Bot 2017-03-13 17:38:34 PDT
Comment on attachment 304284 [details]
Patch for landing

Clearing flags on attachment: 304284

Committed r213882: <http://trac.webkit.org/changeset/213882>
Comment 41 WebKit Commit Bot 2017-03-13 17:38:42 PDT
All reviewed patches have been landed.  Closing bug.